Subject: Re: git gui and commit-msg hook

From: "Shawn O. Pearce" <[email-masked]>
Date: Sun, 20 Jan 2008 23:39:47 -0500

Junio C Hamano <[email-masked]> wrote:
> "Shawn O. Pearce" <[email-masked]> writes:
> 
> > "Blucher, Guy" <[email-masked]> wrote:
> >> I've just setup a commit-msg hook in my local repository.  It works as
> >> advertised from the command-line when using git commit, but if I use git
> >> gui to do the commit, then the hook is ignored.
> >
> > Fixed in my latest git-gui master, which will be gitgui-0.9.2 or .3.
> >
> > I apparently missed git 1.5.4-rc4, but will have to ask Junio nicely
> > if this can be included into 1.5.4 final.
> 
> Absolutely.  That's a consistency-and-usability bugfix, isn't
> it?

I consider it a bug fix for git-gui, but some may say its a new
feature since git-gui didn't have a commit-msg hook before this
change.  :)

Anyway, its now published on repo.or.cz if you want to include
it into your next published git.git master to try and get it
some more testing before 1.5.4 goes final.

I'm pretty happy with what's in my master right now.  I'm actually
tempted to tag it gitgui-0.9.2 and say that's the final version
we're including in 1.5.4.

-- 
Shawn.